import { defaultWindow } from "../../shared";
import { readable } from "svelte/store";
const initialValue = {
    x: 0,
    y: 0,
};
function getCurrentScroll(window = defaultWindow) {
    if (!window)
        return initialValue;
    return {
        x: window.scrollX,
        y: window.scrollY,
    };
}
export function windowScrollStore({ window = defaultWindow, } = {}) {
    const position = readable(getCurrentScroll(), (set) => {
        function handler() {
            set(getCurrentScroll());
        }
        if (window) {
            window.addEventListener("scroll", handler);
            return () => {
                window.removeEventListener("scroll", handler);
            };
        }
    });
    return position;
}
