import { defaultWindow } from "../../shared";
import { readable } from "svelte/store";
export function preferredLanguages() {
    return readable(["en"], (set) => {
        const window = defaultWindow;
        let cleanup = () => { };
        if (window) {
            const navigator = window.navigator;
            set(navigator.languages);
            function update() {
                set(navigator.languages);
            }
            window.addEventListener("languagechange", update);
            cleanup = () => window.removeEventListener("languagechange", update);
        }
        return cleanup;
    });
}
